//
//  Die.swift
//  Dice
//
//  Created by David Reed on 2/1/19.
//  Copyright © 2019 David Reed. All rights reserved.
//

import Foundation

struct Die {
    private(set) var numSides: Int
    private(set) var numRolls: Int
    
    init(withSides sides: Int = 6) {
        self.numSides = sides
        self.numRolls = 0
    }
    
    mutating func roll() -> Int {
        self.numRolls += 1
        return Int.random(in: 1...numSides)
    }
    
}

